import React from 'react';
import ReactDOM from 'react-dom';
import { useData } from './useData';
import { Marks } from './Marks';
import { json, tsv, queue } from 'd3';

const width = 960;
const height = 500;

var colorLut = d3.scaleThreshold()
//    .domain(d3.range(0.01, 0.14))
    .domain(d3.range(2, 10))
    .range(d3.schemeGreens[9]);
//    .range(d3.schemeBlues[9]);


const App = () => {
  const data = useData();

  if (!data) {
    return <pre>Loading...</pre>;
  }

  return (
    <svg width={width} height={height}>
      <Marks data={data} />
    </svg>
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
